Socket
Socket
Sign inDemoInstall

babel-preset-current-node-syntax

Package Overview
Dependencies
66
Maintainers
1
Versions
8
Alerts
File Explorer

Advanced tools

Install Socket

Detect and block malicious and high-risk dependencies

Install

babel-preset-current-node-syntax

A Babel preset that enables parsing of proposals supported by the current Node.js version.


Version published
Maintainers
1
Weekly downloads
15,562,490
decreased by-18.45%
Install size
56.6 kB

Weekly downloads

Readme

Source

babel-preset-current-node-syntax

A Babel preset that enables parsing of proposals supported by the current Node.js version.

Installation

If you are using yarn:

yarn add --dev babel-preset-current-node-syntax

If you are using npm:

npm install --save-dev babel-preset-current-node-syntax

Contributing

PRs are welcome! The codebase is so small that I didn't setup a linter, but try to match the style of the existing code.

You can run tests with the following command:

yarn node test/index.js

The test/fixtures.json file contains a bunch of syntax tests, alongside with the minimum supported node version for each of them. Babel should throw on older versions, without support for that given syntax. All the tests are run using @babel/parser@7.0.0.

FAQs

Last updated on 15 Dec 2020

Did you know?

Socket for GitHub automatically highlights issues in each pull request and monitors the health of all your open source dependencies. Discover the contents of your packages and block harmful activity before you install or update your dependencies.

Install

Related posts

SocketSocket SOC 2 Logo

Product

  • Package Alerts
  • Integrations
  • Docs
  • Pricing
  • FAQ
  • Roadmap

Stay in touch

Get open source security insights delivered straight into your inbox.


  • Terms
  • Privacy
  • Security

Made with ⚡️ by Socket Inc